Your Freedom - HOMENEWSDOWNLOADSACCOUNTDOCS & FAQFORUMS

 

Latest News

21-03-14

Hello R. Tayyip Erdoğan!

Use Twitter, facebook and YouTube in Turkey.

28-05-13

OpenVPN mode users

Please read! You need to update.

27-05-13

Liberty Reserve

Service taken offline.

14-05-13

New voucher carnets

Shorter run-times, more choice, lower prices.

 
    26-04-13

  • Java insecurity reports
  • BY: CHRIS

    You have probably read about it: Yet another Java vulnerability disclosed, even the latest versions are affected. What does this mean for Your Freedom as a Java based application? The answer is simple: nothing. Your Freedom does not execute untrusted code on your PC and it does not run in an isolated sandbox, and therefore weaknesses in the reflection API that allow malicious code to leave the sandbox and access the underlying system are irrelevant.

    Will having Java installed on your system make it vulnerable? Well, only if you use it to run untrusted code inside a sandbox and rely on this being an effective protection. You do that, for example, if you execute an applet from an untrusted source in your web browser. In other words: if you do not install or deactivate the Java plug-in in your web browser, or if you dutifully answer "no" to the questions whether or not you want to execute such an applet (your browser will ask!), nothing bad will happen. Java applets do not download and run themselves. And Your Freedom does not run in your web browser, it runs as a standalone application. It has full access on your PC anyway (same as all other applications that you run!), and if you don't trust it you should probably not use it. We haven't put any malicious code in it, we don't spy on you. As has been said before, the only reason why the client app is not open source is because we don't want it in the wrong hands.

    If this is still not enough to calm you down, use the "full installer" version of Your Freedom. It contains compiled code and does not require you to install Java on your system. No Java, no worries.

    (Personally, I believe that if you have Flash player or Adobe Reader on your system, you may as well have Java...)

 
   Acceptable Use